Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class BatikSecurityManager

    java.lang.Object
      java.lang.SecurityManager
          org.apache.batik.util.BatikSecurityManager

    public class BatikSecurityManager

extends SecurityManager

This `SecurityManager` extension exposes the `getClassContext` method so that it can be used by the `BatikSecuritySupport` or other security related class.

Field Summary

Fields inherited from class java.lang.SecurityManager
`inCheck`

Constructor Summary
`BatikSecurityManager()`

Method Summary
`Class[]` | `getClassContext()` Returns the current execution stack as an array of classes.

Methods inherited from class java.lang.SecurityManager
`checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatikSecurityManager

    public BatikSecurityManager()

Method Detail

### getClassContext

    public Class[] getClassContext()

  Returns the current execution stack as an array of classes.

  The length of the array is the number of methods on the execution stack. The element at index `0` is the class of the currently executing method, the element at index `1` is the class of that method's caller, and so on.

  Overrides:
    `getClassContext` in class `SecurityManager`
  Returns:
    the execution stack.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.